commit ed722d2ad4a6fdfcfbaf26e62312ba1dc8eb67e2
parent da3681712361802c2fa581cc8803f113ebec785c
Author: regexghost <dev@regexghost.com>
Date: Sun, 21 Jun 2026 00:34:31 +0100
added mymv.sh, panel updates
Diffstat:
9 files changed, 31 insertions(+), 10 deletions(-)
diff --git a/dotfiles/.kshrc b/dotfiles/.kshrc
@@ -31,7 +31,7 @@ alias py='python3'
alias nf='fastfetch'
alias sq='ncdu --color off' # Not sure why this is "sq" but I'm used to it now
alias bat='bat --theme=base16'
-alias mv='mv -i'
+alias mv='mymv'
alias cp='cp -r -i'
alias cmatrix='cmatrix -u 6' # Cool fake hacker program
alias duf='duf -hide special'
@@ -69,7 +69,7 @@ rss () {
alias x='chmod +x'
alias copy='tr -d "\n" | xclip -selection c'
-alias batl='find . -maxdepth 1 | sort | tail -n 1 | xargs bat --theme=base16'
+alias batl='ls | sort | tail -n 1 | xargs bat --theme=base16'
alias watchlc="watch 'ls | wc -l'"
alias watchdu="watch 'du -s -h *'"
alias lastyear='log -d $(date -d "-1 year" +"%y%m%d")' # Interacts with my log program
diff --git a/helpers/colours/templates/Template-jwmrc b/helpers/colours/templates/Template-jwmrc
@@ -12,10 +12,11 @@
<Opacity>1.0</Opacity>
</Active>
</WindowStyle>
- <TrayStyle decorations="motif">
+ <TrayStyle decorations="flat">
<Font>FONT_FAMILY-11</Font>
<Background>#BACKGROUND_BLACK</Background>
<Foreground>#FOREGROUND_WHITE</Foreground>
+ <Outline>#BACKGROUND_BLACK</Outline>
<Opacity>0.75</Opacity>
</TrayStyle>
<TaskListStyle list="desktop" group="false">
diff --git a/jwm/.config/jwm/jwmrc b/jwm/.config/jwm/jwmrc
@@ -54,14 +54,14 @@
</Group>
<!-- Tray at the bottom. -->
- <Tray x="0" y="0" autohide="off" delay="1000" height="26" width="550">
+ <Tray x="0" y="0" autohide="off" delay="1000" height="26" width="494">
<TrayButton label="JWM">root:1</TrayButton>
<Spacer width="2"/>
<Pager labeled="true"/>
- <TaskList maxwidth="80"/>
+ <TaskList maxwidth="60"/>
</Tray>
<!-- Visual Styles -->
diff --git a/panel-scripts/lemonbar-bar.sh b/panel-scripts/lemonbar-bar.sh
@@ -96,7 +96,7 @@ stream_live () {
}
update_streams () {
- stream="$(stream_live 1) $(stream_live 2)"
+ stream="$(stream_live 1) $(stream_live 2) $(stream_live 3)"
}
update_music () {
diff --git a/panel-scripts/lemonbar-runner.sh b/panel-scripts/lemonbar-runner.sh
@@ -2,4 +2,4 @@
. "$XDG_CONFIG_HOME"/regexghost/current-theme.sh
-"$XDG_DATA_HOME/regexghost/panel/lemonbar-bar.sh" | lemonbar -o +0 -f "${FONT_FAMILY} Medium:size=10" -o -3 -f "Font Awesome 7 Free Solid:size=10" -g 1374x26+546+0 -B "#${BACKGROUND_BLACK}" -F "#${FOREGROUND_WHITE}"
+"$XDG_DATA_HOME/regexghost/panel/lemonbar-bar.sh" | lemonbar -o +0 -f "${FONT_FAMILY} Medium:size=10" -o -3 -f "Font Awesome 7 Free Solid:size=10" -g 1428x26+492+0 -B "#${BACKGROUND_BLACK}" -F "#${FOREGROUND_WHITE}"
diff --git a/panel-scripts/music.sh b/panel-scripts/music.sh
@@ -10,7 +10,7 @@ mocp_command="mocp -M $XDG_CONFIG_HOME/moc"
ping_panel () {
barpid="$(cat ~/.cache/bar_pid)"
- if ! [ "$barpid" == "" ]; then
+ if ! [ "$barpid" = "" ]; then
kill -35 "$barpid"
fi
}
@@ -76,7 +76,7 @@ else
fi
# Check for sub playlists
-if find "$playlist_path" -mindepth 1 -type d | grep -q ""; then
+if [ $(find "$playlist_path" -type d | wc -l) -ne 1 ]; then
playlist="$(ls "$playlist_path" | sed 's/\([A-Z][a-z]\)/ \1/g' | sed 's/\([a-z]\)\([0-9]\)/\1 \2/g' | sed 's/^ //g' | awk 'BEGIN {RS = ""} {print "All Songs\n"$0}' | "${DMENU_SCRIPT}" "Select Playlist:")"
[ "$?" != "0" ] && exit
# If all songs, don't change playlist path
diff --git a/terminal-scripts/Makefile b/terminal-scripts/Makefile
@@ -30,3 +30,4 @@ normal:
gcc string-trunc.c -o string-trunc
mv string-trunc ${BIN}/string-trunc
cp ytdl-wrapper.sh ${BIN}/ytdl-wrapper
+ cp mymv.sh ${BIN}/mymv
diff --git a/terminal-scripts/heic_to_jpg.sh b/terminal-scripts/heic_to_jpg.sh
@@ -3,7 +3,7 @@
oldIFS="$IFS"
IFS=$'\n'
-files=( $(find . -maxdepth 1 -type f | grep -i heic) )
+files=( $(find . -type f | grep -i heic) )
for file in "${files[@]}"; do
echo "Converting ${file} to jpg"
diff --git a/terminal-scripts/mymv.sh b/terminal-scripts/mymv.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+# Wrapper for mv as suckless sbase doesn't have `mv -i`
+
+if [ "$#" -eq 2 ]; then
+ if [ -f "$2" ]; then
+ echo here
+ read -p "Overwrite existing file? (y/N) " yesOrNo
+ echo here
+ if [ "$yesOrNo" = "y" ] || [ "$yesOrNo" = "Y" ]; then
+ mv "$1" "$2"
+ fi
+ exit
+ else
+ mv "$1" "$2"
+ fi
+else
+ mv "$@"
+fi